.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH JSONLINT 1 "2009-12-01"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
jsonlint \- A JSON syntax validator and formatter tool
.SH SYNOPSIS
.B jsonlint
.RI  [-v] [-s|-S] [-f|-F] [-e codec] inputfile.json ...
.SH DESCRIPTION
This manual page documents briefly the
.B jsonlint
commands.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
.\" respectively.
.SH OPTIONS

The return status will be 0 if the file is legal JSON, or
non\-zero otherwise.  Use \-v to see the warning details.

Options are:
.B \-v, \-s, \-S, \-f, \-F, \-e

.TP
.B \-v, \-\-verbose
Show details of lint checking
.TP
.B \-s, \-\-strict
Be strict in what is considered legal JSON (the default)
.TP
.B \-S, \-\-nonstrict
Be loose in what is considered legal JSON
.TP
.B \-f, \-\-format     
Reformat the JSON (if legal) to stdout
.TP
.B \-F, \-\-format-compactly
Reformat the JSON similar to \-f, but do so compactly by
removing all unnecessary whitespace
.TP
.B \-e codec, \-\-encoding=codec 
.TP
.B \-\-input\-encoding=codec \-\-output\-encoding=codec
Set the input and output character encoding codec (e.g.,
ascii, utf8, utf-16).  The \-e will set both the input and
output encodings to the same thing.  If not supplied, the
input encoding is guessed according to the JSON
specification.  The output encoding defaults to UTF-8, and is
used when reformatting (via the \-f or \-F options).

When reformatting, all members of objects (associative arrays) are
always output in lexigraphical sort order.  The default output codec
is UTF-8, unless the \-e option is provided.  Any Unicode characters
will be output as literal characters if the encoding permits,
otherwise they will be \u-escaped.  You can use "\-e ascii" to force
all Unicode characters to be escaped.

.SH AUTHOR
jsonlint was written by Deron Meranda <deron.meranda@gmail.com>.
.PP
This manual page was written by TANIGUCHI Takaki <takaki@debian.org>,
for the Debian project (and may be used by others).
